For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Available MongoDB Versions

Retrieves all MongoDB versions available for new MongoDB clusters.

get
Authorizations
AuthorizationstringRequired

For 'Basic' authentication, take your credentials by first combining the username and password with a colon (username:password) and then encoding the resulting string in base64 (YWxhZGRpbjpvcGVuc2VzYW1l).

Example Request Header

Authorization: Basic YWxhZGRpbjpvcGVuc2Vzl

More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Responses
200

Successful operation.

application/json

List of MongoDB versions.

get/versions
GET /databases/mongodb/versions HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "data": [
    {
      "name": "6.0"
    }
  ]
}

Last updated

Was this helpful?